/*************************************************************************
*
* customlineedit.cpp
* Copyright (C) 2005 by Iliyan Peychev <peychevi@yahoo.com>
*
* Contributed to BG Office project by Iliyan Peychev <peychevi@yahoo.com>
* Maintained by Radostin Radnev <radnev@yahoo.com>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*************************************************************************/


#include "customlineedit.h"


/*
* This class extends QLineEdit control and add some additional functionality.
* Idea is to navigate throught list of words without losing focus on input field.
*
* $Id: customlineedit.cpp,v 1.2 2005/03/12 09:58:42 radnev Exp $
*/


CustomLineEdit::CustomLineEdit(const QString &contents, QWidget *parent, const char *name):QLineEdit(contents, parent, name) {
}


void CustomLineEdit::keyPressEvent(QKeyEvent *e) {
	if (e->key() == Qt::Key_Up) {
		emit(vk_UpPressed());
	} else if (e->key() == Qt::Key_Down) {
		emit(vk_DownPressed());
	}
	QLineEdit::keyPressEvent(e);
}
