/*************************************************************************
*
* BG Office Project
* Copyright (C) 2000-2004 Radostin Radnev <radnev@yahoo.com>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*************************************************************************/


#include <qapplication.h>
#include <qpainter.h>
#include <qpixmap.h>

#include "splashscreen.h"


/*
* Splash Screen.
* This class should disapper in Qt 3.2, because there is a standard one.
*
* $Id: splashscreen.cpp,v 1.1.1.1 2004/04/13 14:37:19 radnev Exp $
*/


MySplashScreen::MySplashScreen(const QPixmap &pixmap):QWidget(0, 0, WStyle_Customize | WStyle_NoBorder | WStyle_StaysOnTop) {
	setErasePixmap(pixmap);
	resize(pixmap.size());
	QRect scr = QApplication::desktop()->screenGeometry();
	move(scr.center() - rect().center());
	show();
	repaint();
}


void MySplashScreen::repaint() {
	QWidget::repaint();
	QApplication::flush();
}


void MySplashScreen::finish(QWidget *mainWin) {
	close();
}
