/*************************************************************************
*
* systemtray.h
* Copyright (C) 2002 by Thanomsub Noppaburana <donga_n@yahoo.com>
*
* Contributed to BG Office project by Iliyan Peychev <peychevi@yahoo.com>
* Maintained by Radostin Radnev <radnev@yahoo.com>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*************************************************************************/


#ifdef WITH_KDE


#ifndef __SYSTEMTRAY_H__
#define __SYSTEMTRAY_H__


#include <kglobalaccel.h>
#include <ksystemtray.h>


/*
* $Id: systemtray.h,v 1.2 2004/10/26 21:25:01 radnev Exp $
*/


class KPopupMenu;
class CResultView;


class CSystemTray: public KSystemTray {

Q_OBJECT

public:
	CSystemTray(QWidget *parent, const char *name, QPixmap qpxmIcon);
	~CSystemTray();
	KPopupMenu *menu();
	KGlobalAccel *globalKeys;

protected:
	void mousePressEvent(QMouseEvent *);
	void mouseReleaseEvent(QMouseEvent *);

protected slots:
	void switchRestore();
	void prepareMenu();
	void slotQuit();
	void slotConfig();
	void slotToggleWatchClipboard();

private:
	KPopupMenu *trayMenu;
	int restoreItem;
	int watchItem;

};

#endif

#endif
