/*************************************************************************
*
* BG Office Project
* Copyright (C) 2000-2004 Radostin Radnev <radnev@yahoo.com>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*************************************************************************/


#ifndef K_BGO_A_TEST_H
#define K_BGO_A_TEST_H

#include <qdialog.h>

#include "translator_manager.h"
#include "properties.h"

/*
* $Id: test.h,v 1.2 2004/10/26 21:05:57 radnev Exp $
*/

class QLineEdit;
class QPushButton;
class QLabel;
class QTextEdit;
class QCheckBox;
class QSpinBox;
class QComboBox;
class QFont;


class Test: public QDialog {

Q_OBJECT

public:
	Test(QWidget *parent, const char *name, TranslatorManager *pDictionary, Properties *pProp, const QFont *pFont, const int pBorderWidth);
	~Test();

protected slots:
	void answer_EnterPressed();
	void button_New();
	void button_Help();

private:
	QFont font;
	QLineEdit *answer;
	QPushButton *bnew;
	QPushButton *bclose;
	QPushButton *bhelp;
	QLabel *question;
	QLabel *found;
	QLabel *word;
	QLabel *info;
	QTextEdit *result;

	TranslatorManager *trManager;
	Translator *dictionary;
	Properties *prop;
	int borderWidth;

	int translate;
	int showAnswer;
	int session;
	int questions;
	int level;

	int current;
	int correct;

};

#endif
