/*************************************************************************
*
* watchclipboard.h
* Copyright (C) 2002 by Thanomsub Noppaburana <donga_n@yahoo.com>
*
* Contributed to BG Office project by Iliyan Peychev <peychevi@yahoo.com>
* Maintained by Radostin Radnev <radnev@yahoo.com>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*************************************************************************/


#ifdef WITH_KDE


#ifndef __WATCHCLIPBOARD_H__
#define __WATCHCLIPBOARD_H__


#include <dcopclient.h>
#include <dcopobject.h>
#include <qobject.h>


/*
* $Id: watchclipboard.h,v 1.2 2004/10/26 21:25:02 radnev Exp $
*/


class QTimer;


class CWatchClipboard: public QObject, public DCOPObject {

Q_OBJECT

public:
	CWatchClipboard();
	~CWatchClipboard();

	void setInterval(int msec);
	int getInterval();
	bool invokeKlipper();
	void startWatch();
	void stopWatch();
	bool becomeDCOPClient();
	bool getTimerStatus();

signals:
	void clipboardChanged(QString);

public slots:
	void slotOnTimer();
	void callBackClipboardData(int, const QCString&, const QByteArray&);

private:
	QTimer *watchTimer;
	int _interval;
	QString lastContent;
	DCOPClient *dcopClient;
	bool bTimerEmabled;

};

#endif

#endif
